LazyDataSource (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.attachment

## Class LazyDataSource

- java.lang.Object
- - org.apache.cxf.attachment.LazyDataSource

- All Implemented Interfaces:
    `javax.activation.DataSource`

      public class LazyDataSource
      extends Object
      implements javax.activation.DataSource

  A DataSource which will search through a Collection of attachments so as to lazily load the attachment from the collection. This allows streaming attachments with databinding toolkits like JAXB.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LazyDataSource​(String id, Collection<Attachment> attachments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContentType()` |
    `javax.activation.DataSource` | `getDataSource()` |
    `InputStream` | `getInputStream()` |
    `String` | `getName()` |
    `OutputStream` | `getOutputStream()` |
    `void` | `setDataSource​(javax.activation.DataSource dataSource)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyDataSource

          public LazyDataSource​(String id,
                                Collection<Attachment> attachments)

  - ### Method Detail

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `javax.activation.DataSource`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in interface `javax.activation.DataSource`
      Throws:
        `IOException`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `javax.activation.DataSource`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Specified by:
        `getOutputStream` in interface `javax.activation.DataSource`
      Throws:
        `IOException`

    - #### getDataSource

          public javax.activation.DataSource getDataSource()

    - #### setDataSource

          public void setDataSource​(javax.activation.DataSource dataSource)